View Issue Details

IDProjectCategoryView StatusLast Update
15769Bug reports[All Projects] User / Groups / Rolespublic2020-02-17 11:22
Reporteraharenaz Assigned Topstelling  
PriorityhighSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary15769: Password can not be changed from the user settings page
Description

From user settings page, the password can not be changed although the flash message confirms that personal settings had been saved.

Steps To Reproduce

1- Make a new clean installation (i.e. using limesurvey4.0.1+200120.tar.gz, PHP 7, mariadb).
2- Login as admin, using "password" as password
3- Go to user account, and try to change the password to another one
-> The feedback the page gives is that changes were successfully applied
-> Password isn't really updated

TagsNo tags attached.
Complete LimeSurvey version number (& build)limesurvey4.0.1+200120
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariadb
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.0

Activities

ollehar

ollehar

2020-01-24 13:20

administrator   ~55459

Can reproduce.

ollehar

ollehar

2020-01-24 13:25

administrator   ~55461

Last edited: 2020-01-24 13:25

View 2 revisions

PR here: https://github.com/LimeSurvey/LimeSurvey/pull/1375

Mazi

Mazi

2020-02-07 14:32

partner   ~55807

Same problem here, please add the fix to the next release.

pstelling

pstelling

2020-02-14 12:36

developer   ~56016

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29564

pstelling

pstelling

2020-02-14 12:41

developer   ~56017

Fixed issue 15769: Password has not been saved

lime_release_bot

lime_release_bot

2020-02-17 11:22

administrator   ~56051

Fixed in Release 4.1.5+200217

Related Changesets

LimeSurvey: master 1e913e8e

2020-02-14 10:28:59

pstelling

Details Diff
Fixed issue 15769: Password has not been saved Affected Issues
15769
mod - application/controllers/admin/useraction.php Diff File
mod - application/models/User.php Diff File

Issue History

Date Modified Username Field Change
2020-01-24 12:43 aharenaz New Issue
2020-01-24 13:12 cdorin Assigned To => cdorin
2020-01-24 13:12 cdorin Status new => assigned
2020-01-24 13:12 cdorin Priority none => high
2020-01-24 13:20 ollehar Status assigned => confirmed
2020-01-24 13:20 ollehar Note Added: 55459
2020-01-24 13:25 ollehar Note Added: 55461
2020-01-24 13:25 ollehar Note Edited: 55461 View Revisions
2020-02-07 14:32 Mazi Note Added: 55807
2020-02-14 12:36 pstelling Changeset attached => LimeSurvey master 1e913e8e
2020-02-14 12:36 pstelling Note Added: 56016
2020-02-14 12:36 pstelling Assigned To cdorin => pstelling
2020-02-14 12:36 pstelling Resolution open => fixed
2020-02-14 12:41 pstelling Status confirmed => resolved
2020-02-14 12:41 pstelling Note Added: 56017
2020-02-17 11:22 lime_release_bot Note Added: 56051
2020-02-17 11:22 lime_release_bot Status resolved => closed